Module ij
Package ij.io

# Class BitBuffer

java.lang.Object
ij.io.BitBuffer

public class BitBuffer extends Object
A class for reading arbitrary numbers of bits from a byte array.

Author:
  Eric Kjellman egkjellman at wisc.edu

## Constructor Summary

Constructors
Constructor
Description
`BitBuffer(byte[] byteBuffer)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBits(int bitsToRead)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BitBuffer

public BitBuffer(byte[] byteBuffer)

## Method Details

### getBits

public int getBits(int bitsToRead)